org.jboss.logging

## Annotation Type Param

- Deprecated.
  Use org.jboss.logging.annotations.Param provided in module org.jboss.logging:jboss-logging-annotations

      @Target(value=PARAMETER)
      @Retention(value=CLASS)
      @Documented
      @Deprecated
      public @interface Param

  Identifies a parameter is to be used for constructing an exception and excluded from the formatting of the message.

  Parameters will be order-matched first, then type-matched to resolve ambiguity. If a match fails an error should occur.

  The `value()` option will allow an optional class to be specified which will have to match the exact type of the parameter in question, to enable unambiguous resolution. The value must be the fully qualified class name.
  Author:
    James R. Perkins

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `Class<?>` | `value` Deprecated. Defines an exact class the parameter must match for unambiguous resolution.

- - ### Element Detail

    - #### value

          public abstract Class<?> value

      Deprecated.
      Defines an exact class the parameter must match for unambiguous resolution.
      Returns:
        the class the parameter must match.
      Default:
        java.lang.Object.class

Copyright © 2015. All rights reserved.